org.apache.ignite.internal.processors.query.schema.message

## Class SchemaAbstractDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

Direct Known Subclasses:
  SchemaFinishDiscoveryMessage, SchemaProposeDiscoveryMessage

    public abstract class SchemaAbstractDiscoveryMessage
    extends Object
    implements DiscoveryCustomMessage

Abstract discovery message for schema operations.

See Also:
  Serialized Form

### Field Summary

Fields
`protected SchemaAbstractOperation` `op` Operation.

### Constructor Summary

Constructors
`protected` `SchemaAbstractDiscoveryMessage(SchemaAbstractOperation op)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`@Nullable DiscoCache` `createDiscoCache(GridDiscoveryManager mgr, AffinityTopologyVersion topVer, DiscoCache discoCache)` Creates new discovery cache if message caused topology version change.
`abstract boolean` `exchange()`
`IgniteUuid` `id()`
`SchemaAbstractOperation` `operation()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`ackMessage, isMutable`

### Field Detail

#### op

    @GridToStringInclude
    protected final SchemaAbstractOperation op

Operation.

### Constructor Detail

#### SchemaAbstractDiscoveryMessage

    protected SchemaAbstractDiscoveryMessage(SchemaAbstractOperation op)

Constructor.

Parameters:
  `op` - Operation.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### createDiscoCache

    @Nullable
    public @Nullable DiscoCache createDiscoCache(GridDiscoveryManager mgr,
                                                           AffinityTopologyVersion topVer,
                                                           DiscoCache discoCache)

Creates new discovery cache if message caused topology version change.

Specified by:
  `createDiscoCache` in interface `DiscoveryCustomMessage`
Parameters:
  `mgr` - Discovery manager.
  `topVer` - New topology version.
  `discoCache` - Current discovery cache.
Returns:
  Reused discovery cache.

#### operation

    public SchemaAbstractOperation operation()

Returns:
  Operation.

#### exchange

    public abstract boolean exchange()

Returns:
  Whether request must be propagated to exchange thread.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021